import { useNavigate } from 'react-router-dom';

function Button({history, children}){
  const navigate = useNavigate();
  return(
    <button onClick={() => {navigate('/search');}}>
      {children}
    </button>
  );
}

function Main() {
  return(
    <div className="App">
      <h1>메인 페이지 입니다.</h1>
        <div className="introduction">
          소개 내용을 담을 공간 
        </div>
        <Button>검색</Button>
    </div>)
  ;
}

export default Main;
